Package com.io7m.cardant.server.service.reqlimit

# Class CARequestLimitExceeded

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.io7m.cardant.error_codes.CAException
com.io7m.cardant.server.service.reqlimit.CARequestLimitExceeded

All Implemented Interfaces:
  `com.io7m.seltzer.api.SStructuredErrorExceptionType<CAErrorCode>`, `com.io7m.seltzer.api.SStructuredErrorType<CAErrorCode>`, `Serializable`

public final class CARequestLimitExceeded extends CAException
An exception indicating that a request size limit was exceeded.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CARequestLimitExceeded(String message, long inSizeLimit, long inSizeProvided)`
  An exception indicating that a request size limit was exceeded.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `sizeLimit()`
  `long`
  `sizeProvided()`

  ### Methods inherited from class com.io7m.cardant.error_codes.CAException

  `attributes, errorCode, exception, remediatingAction`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.seltzer.api.SStructuredErrorExceptionType

  `getMessage, message`

- ## Constructor Details

  - ### CARequestLimitExceeded

    public CARequestLimitExceeded(String message, long inSizeLimit, long inSizeProvided)
    An exception indicating that a request size limit was exceeded.
    Parameters:
      `message` - The message
      `inSizeLimit` - The limit
      `inSizeProvided` - The provided size

- ## Method Details

  - ### sizeLimit

    public long sizeLimit()
    Returns:
      The size limit

  - ### sizeProvided

    public long sizeProvided()
    Returns:
      The size of the request